Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000874Core InformPhrases and functional programmingpublic2012-02-29 09:102014-05-07 07:33
ReporterEmacsUser 
Assigned Tograham 
PrioritynormalSeveritymildReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSMac OS XOS Version10.6
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0000874: Conditions in generic phrase parameters are checked without kind safety
DescriptionThe attached source tests containment whether or not C is an object, hence the out-of-bounds memory access.
Minimal Source Text To Reproduce
There is a room.
To foo (C - sayable value contained by the player):
	do nothing.
When play begins:
	foo -1.
TagsNo tags attached.
Effect(serious/mild) Game compiles but misbehaves
Attached Files

- Relationships
related to 0000873closedgraham Default case of a generic phrase's resolver specializes to one kind 

-  Notes
(0002461)
graham (administrator)
2014-02-09 09:27

This is now done more safely.

- Issue History
Date Modified Username Field Change
2012-02-29 09:10 EmacsUser New Issue
2012-02-29 09:10 EmacsUser Issue generated from 0000873
2012-02-29 09:10 EmacsUser Relationship added related to 0000873
2012-06-20 08:02 curiousdannii Status new => confirmed
2014-02-09 09:27 graham Note Added: 0002461
2014-02-09 09:27 graham Status confirmed => resolved
2014-02-09 09:27 graham Resolution open => fixed
2014-02-09 09:27 graham Assigned To => graham
2014-05-07 07:32 jmcgrew Fixed in Version => 6L02
2014-05-07 07:33 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker